## qubes-img-converter 1.2.11

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

help:
	@echo "Qubes addons main Makefile:" ;\
	    echo "make rpms                 <--- make rpms and sign them";\
	    echo; \
	    echo "make clean                <--- clean all the binary files";\
	    echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
	    echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
	    echo "make update-repo-unstable <-- same, but to -testing repo";\
	    echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	    @exit 0;

rpms: rpms-vm rpms-dom0

rpms-dom0:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/qimg-converter-dom0.spec
#	rpm --addsign rpm/x86_64/qubes-img-converter-dom0*$(VERSION)*.rpm

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/qimg-converter.spec
#	rpm --addsign rpm/x86_64/qubes-img-converter*$(VERSION)*.rpm

install: install-vm

install-vm:
	install -d $(DESTDIR)/usr/bin/
	install -D qvm-convert-img $(DESTDIR)/usr/bin/qvm-convert-img
	install -d  $(DESTDIR)/usr/lib/qubes/
	install -D qvm-convert-img.gnome $(DESTDIR)/usr/lib/qubes/qvm-convert-img.gnome
	install -d $(DESTDIR)/usr/lib/qubes/
	install -D qimg-convert-client $(DESTDIR)/usr/lib/qubes/qimg-convert-client
	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
	install -D qvm_convert_img_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions/qvm_convert_img_nautilus.py
	install -D qvm-convert-img.1  $(DESTDIR)/usr/share/man/man1/qvm-convert-img.1

update-repo-current:
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-img-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-img-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/current/dom0/rpm/

update-repo-current-testing:
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-img-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-img-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/current-testing/dom0/rpm/

update-repo-unstable:
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-img-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done
	ln -f $(RPMS_DIR)/x86_64/qubes-img-converter-dom0-*$(VERSION)*.rpm ../yum/current-release/unstable/dom0/rpm/

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-img-converter*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-installer:
	ln -f $(RPMS_DIR)/x86_64/qubes-img-converter-dom0-*$(VERSION)*.rpm ../installer/yum/qubes-dom0/rpm/

build:

clean:

## qubes-img-converter 1.2.6

=== debian/changelog ===
qubes-img-converter (1.2.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 22 Mar 2019 00:16:55 +0100

qubes-img-converter (1.2.6-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * rpm: add R: python2-qubesimgconverter
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 22 Mar 2019 00:16:55 +0100

qubes-img-converter (1.2.5-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: add fc27

  [ Patrizio Tufarolo ]
  * Fixed qvm-get-image for Qubes 4
  * Fixed qvm-get-tinted-image for Qubes 4
  * Replaced print to stderr with parser.error
  * removed useless check against domains argument in argumentparser

  [ Marek Marczykowski-Górecki ]
  * Make qvm-get-image compatible with both Qubes 3 and 4
  * Switch dependencies of dom0 package to Qubes 4.x

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 May 2018 04:24:31 +0200

qubes-img-converter (1.2.4-1) unstable; urgency=medium

  * Update module name for Qubes 4.0
  * travis: update distributions list

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Dec 2017 02:29:44 +0100

qubes-img-converter (1.2.3-1) unstable; urgency=medium

  [ Nicklaus McClendon ]
  * Updated manpage to have correct binary name
  * Removed .travis.yml bootstrap fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Dec 2016 16:55:22 +0100

qubes-img-converter (1.2.2-1) wheezy; urgency=medium

  * debian: adjust package name

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 02:25:54 +0200

qubes-img-converter (1.2.1-1) wheezy; urgency=medium

  [ unman ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 01:26:58 +0200

qubes-img-converter (1.2.0-1) stable; urgency=low

  * Initial release Debian

 -- unman <unman@thirdeyesecurity.org>  Fri, 27 May 2016 11:28:39 +0000

=== debian/control ===
Source: qubes-img-converter
Section: utils
Priority: optional
Maintainer: unman <unman@thirdeyesecurity.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.qubes-os.org/

Package: qubes-img-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qubes service for converting untrusted images into trusted ones.
 This is the VM part of the image converter service. It requires the
 service to be running in dom0.

## qubes-img-converter 1.2.7

=== debian/changelog ===
qubes-img-converter (1.2.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 17 Mar 2020 03:53:26 +0100

qubes-img-converter (1.2.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Paweł Marczewski ]
  * Use Python 3

  [ Marek Marczykowski-Górecki ]
  * One more python2->3 shebang change
  * Fix progress reporting in qvm-convert-img-gnome
  * Drop Qubes 3.x support

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Mar 2020 03:53:26 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


override_dh_auto_build:
	echo "nothing to do here"

## qubes-img-converter 1.2.8

=== debian/changelog ===
qubes-img-converter (1.2.8-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 18 Apr 2020 05:16:41 +0200

qubes-img-converter (1.2.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: fix hardcoded python3 prefix for CentOS
  * travis: update with R4.1 jobs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Apr 2020 05:16:41 +0200

## qubes-img-converter 1.2.9

=== debian/changelog ===
qubes-img-converter (1.2.9-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 27 Jun 2020 15:01:00 +0200

qubes-img-converter (1.2.9-1) unstable; urgency=medium

  * debian: add python3-qubesimgconverter dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 27 Jun 2020 15:01:00 +0200

## qubes-img-converter 1.2.10

=== debian/changelog ===
qubes-img-converter (1.2.10-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 23 May 2021 17:43:44 +0200

qubes-img-converter (1.2.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis
  * Add .gitlab-ci.yml
  * spec: add BR make

  [ ctrlaltf24 ]
  * Created README.md
  * Corrected accuracy error

  [ Marek Marczykowski-Górecki ]
  * Update README based on QubesOS/qubes-app-linux-pdf-converter#18

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 May 2021 17:43:44 +0200

## qubes-img-converter 1.2.11

=== debian/changelog ===
qubes-img-converter (1.2.11-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 09 Oct 2021 04:31:57 +0200

qubes-img-converter (1.2.11-1) unstable; urgency=medium

  [ ejose19 ]
  * fix: add existence check to image file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Oct 2021 04:31:57 +0200

## qubes-img-converter 1.2.12

=== debian/changelog ===
qubes-img-converter (1.2.12-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 27 Oct 2022 01:37:06 +0200

qubes-img-converter (1.2.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Oct 2022 01:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 Package: qubes-img-converter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python3-qubesimgconverter,
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Qubes service for converting untrusted images into trusted ones.
  This is the VM part of the image converter service. It requires the
  service to be running in dom0.

## qubes-img-converter 1.2.13

=== debian/changelog ===
qubes-img-converter (1.2.13-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 29 Nov 2022 04:07:11 +0100

qubes-img-converter (1.2.13-1) unstable; urgency=medium

  [ noskb ]
  * qvm_convert_img_nautilus.py: adjust to work with Nautilus API 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Nov 2022 04:07:11 +0100

## qubes-img-converter 1.2.14

=== debian/changelog ===
qubes-img-converter (1.2.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 16 Dec 2022 19:24:59 +0100

qubes-img-converter (1.2.14-1) unstable; urgency=medium

  [ Mateusz Piórkowski ]
  * Replace ImageMagick with GraphicsMagick

  [ noskb ]
  * qvm_convert_img_nautilus.py: Execute external commands
    asynchronously

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 16 Dec 2022 19:24:59 +0100

## qubes-img-converter 1.2.15

=== debian/changelog ===
qubes-img-converter (1.2.15-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 20 Jan 2023 01:54:23 +0100

qubes-img-converter (1.2.15-1) unstable; urgency=medium

  [ Maja Kądziołka ]
  * Refer to the correct name of qvm-convert-pdf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jan 2023 01:54:23 +0100

## qubes-img-converter 1.2.16

=== debian/changelog ===
qubes-img-converter (1.2.16-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 15 Sep 2023 12:51:12 +0200

qubes-img-converter (1.2.16-1) unstable; urgency=medium

  [ Alexander Paetzelt ]
  * Add archlinux package build file

  [ Marek Marczykowski-Górecki ]
  * archlinux: support builderv2 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2023 12:51:12 +0200

## qubes-img-converter 1.2.17

=== debian/changelog ===
qubes-img-converter (1.2.17-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 20 Jul 2024 03:13:54 +0200

qubes-img-converter (1.2.17-1) unstable; urgency=medium

  * rpm: adjust dependencies and add BR for directory ownership for
    openSUSE

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Jul 2024 03:13:54 +0200

## qubes-img-converter 1.2.18

=== debian/changelog ===
qubes-img-converter (1.2.18-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:38:30 +0200

qubes-img-converter (1.2.18-1) unstable; urgency=medium

  * rpm: mark packages as noarch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Aug 2024 17:38:30 +0200

## qubes-img-converter 1.2.19

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,8 @@
 	install -D qimg-convert-client $(DESTDIR)/usr/lib/qubes/qimg-convert-client
 	install -d $(DESTDIR)/usr/share/nautilus-python/extensions
 	install -D qvm_convert_img_nautilus.py $(DESTDIR)/usr/share/nautilus-python/extensions/qvm_convert_img_nautilus.py
+	install -d $(DESTDIR)/usr/share/file-manager/actions
+	install -D qvm-convert-img-pcmanfm-qt.desktop $(DESTDIR)/usr/share/file-manager/actions
 	install -D qvm-convert-img.1  $(DESTDIR)/usr/share/man/man1/qvm-convert-img.1
 
 update-repo-current:

=== debian/changelog ===
qubes-img-converter (1.2.19-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 12:52:16 +0000

qubes-img-converter (1.2.19-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: drop R4.1, add R4.3

  [ Aaron Rainbolt ]
  * Add pcmanfm-qt integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Oct 2025 03:39:16 +0200
